DECLARE SUB Stats ()
DECLARE SUB Hallway1 ()
DECLARE SUB CannotDo ()
DECLARE SUB CannotGo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'                 

SUB Slab

RestoreRoom = 1
Room:
  CLS
  PRINT "You're in a small cubicle-like room.  The tiled walls are frosted, and a"
  PRINT "long slab is set into the floor.  The room is icy-cold.  A heavy metal door"
  PRINT "is to the south."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN CannotGo: GOTO Command
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN Hallway1
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN CannotGo: GOTO Command
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN CannotGo: GOTO Command
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "GET SLAB" THEN PRINT "It's bolted to the floor.": GOTO Command
  IF a$ = "LOOK SLAB" THEN PRINT "It's an icy slab of metal bolted to the floor.": GOTO Command
  IF a$ = "OPEN DOOR" THEN PRINT "The door is propped about an inch open.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "There isn't anything here except for the bare slab."
  GOTO Command

END SUB

